using System;
using System.Drawing;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Eco.Handles;
using Eco.Windows.Forms;
using Eco.WinForm;
using Eco.ObjectRepresentation;
using Eco.Services;

namespace EcoProject1
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public partial class Form1 : System.Windows.Forms.Form
	{

		public Form1(EcoProject1.EcoProject1EcoSpace ecoSpace)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			// Set EcoSpace (actually stores it in rhRoot.EcoSpace)
			// Note that you need to set the EcoSpace property for 
			// each ReferenceHandle and VariableHandle you add to 
			// the form.
			rhRoot.EcoSpace = ecoSpace;
		}

		public EcoProject1.EcoProject1EcoSpace EcoSpace
		{
			get { return (EcoProject1.EcoProject1EcoSpace)rhRoot.EcoSpace; }
		}

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            EcoSpace.UpdateDatabase();
        }
	}
}
