// EcoModeler - C# Edition :: Version 9.17 build 3378
using System;
using System.ComponentModel;
using System.Collections;
using System.Collections.Generic;
using Eco.Services;
using Eco.ObjectRepresentation;
using Eco.ObjectImplementation;
using Eco.UmlRt;
using Eco.UmlCodeAttributes;
using Eco.Subscription;

namespace DevGroupGettingStartedWithEco.Model
{
	#region MM_ECO_Generated
	#region Attributes
	[UmlElement(Id="3690afbe-7ec7-4722-9d97-d33cb6120453")]
	[UmlTaggedValue("Eco.DefaultStringRepresentation", "self.Reference")]
	[StateMachine("Invoice", "<?xml version=\"1.0\" encoding=\"utf-16\"?><StateMachine xmlns:xsd=\"http://www." +
		"w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance" +
		"\" Name=\"Invoice\" StateAttribute=\"InvoiceState\"><Transitions><Transition Sou" +
		"rce=\"Initial_1\" Target=\"Raising\" Guard=\"\" Trigger=\"\" Effect=\"\"/><Transition" +
		" Source=\"Raising\" Target=\"Raised\" Guard=\"\" Trigger=\"Submit\" Effect=\"\"/><Tra" +
		"nsition Source=\"Raising\" Target=\"Canceled\" Guard=\"\" Trigger=\"Cancel\" Effect" +
		"=\"\"/><Transition Source=\"Raised\" Target=\"Canceled\" Guard=\"\" Trigger=\"Cancel" +
		"\" Effect=\"\"/><Transition Source=\"Raised\" Target=\"Review\" Guard=\"self.Total " +
		"&gt;= 200\" Trigger=\"Dispatch\" Effect=\"\"/><Transition Source=\"Raised\" Target" +
		"=\"Dispatched\" Guard=\"self.Total &lt; 200\" Trigger=\"Dispatch\" Effect=\"self.S" +
		"endEmail\"/><Transition Source=\"Review\" Target=\"Dispatched\" Guard=\"\" Trigger" +
		"=\"Reviewed\" Effect=\"self.SendEmail\"/><Transition Source=\"Review\" Target=\"Ca" +
		"nceled\" Guard=\"\" Trigger=\"Cancel\" Effect=\"\"/></Transitions><Vertexes><Verte" +
		"x Name=\"Initial_1\" Kind=\"InitialState\" Entry=\"\" Exit=\"\" Representation=\"\"><" +
		"Regions/></Vertex><Vertex Name=\"Raising\" Kind=\"RegularState\" Entry=\"\" Exit=" +
		"\"\" Representation=\"\"><Regions/></Vertex><Vertex Name=\"Canceled\" Kind=\"Regul" +
		"arState\" Entry=\"\" Exit=\"\" Representation=\"\"><Regions/></Vertex><Vertex Name" +
		"=\"Raised\" Kind=\"RegularState\" Entry=\"\" Exit=\"\" Representation=\"\"><Regions/>" +
		"</Vertex><Vertex Name=\"Review\" Kind=\"RegularState\" Entry=\"\" Exit=\"\" Represe" +
		"ntation=\"\"><Regions/></Vertex><Vertex Name=\"Dispatched\" Kind=\"RegularState\"" +
		" Entry=\"\" Exit=\"\" Representation=\"\"><Regions/></Vertex></Vertexes></StateMa" +
		"chine>")]
	#endregion

	#endregion
	public class Invoice: object, ILoopBack
	{
		#region MM_ECO AutoGenerated ECO code

		protected IContent eco_Content;

		IObject IObjectProvider.AsIObject()
		{
			return this.eco_Content.AsIObject();
		}

		public IObjectInstance AsIObject()
		{
			return this.eco_Content.AsIObject();
		}

		public struct Eco_LoopbackIndices
		{
			public const int Eco_FirstMember = 0;
			public const int Eco_MemberCount = (Eco_FirstMember + 5);
			public const int Dated_MemberIndex = Eco_FirstMember + 0;
			public const int InvoiceItems_MemberIndex = Eco_FirstMember + 1;
			public const int InvoiceState_MemberIndex = Eco_FirstMember + 2;
			public const int Reference_MemberIndex = Eco_FirstMember + 3;
			public const int Total_MemberIndex = Eco_FirstMember + 4;
		}

		public virtual object get_MemberByIndex(int index)
		{
			switch (index)
			{
				case Eco_LoopbackIndices.Total_MemberIndex: return this.Total;
				default: throw new System.IndexOutOfRangeException();
			}
		}

		public virtual void set_MemberByIndex(int index, object value)
		{
			switch (index)
			{
				default: throw new System.IndexOutOfRangeException();
			}
		}

		protected void Initialize(IEcoServiceProvider serviceProvider)
		{
			if ((this.eco_Content == null))
			{
				IInternalObjectContentFactory factory = ((IInternalObjectContentFactory)(serviceProvider.GetEcoService(typeof(IInternalObjectContentFactory))));
				this.eco_Content = factory.CreateContent(this);
				this.eco_Content.LoopbackValid();
			}
		}

		protected void Deinitialize(IEcoServiceProvider serviceProvider)
		{
			if ((this.eco_Content != null))
			{
				IInternalObjectContentFactory factory = ((IInternalObjectContentFactory)(serviceProvider.GetEcoService(typeof(IInternalObjectContentFactory))));
				factory.CreateContentFailed(this.eco_Content, this);
				this.eco_Content = null;
			}
		}

		[UmlElement(Id="{38f37369-a917-485d-9205-0e64a60072a4}")]
		[UmlTaggedValue("Eco.IsTrigger", "True")]
		public void Cancel()
		{
			this.AsIObject().Invoke("Cancel", new object[] {});
		}

		[UmlElement(Id="{19b2a10f-1b0c-46d4-94fd-1731e6c4f532}")]
		[UmlTaggedValue("Eco.IsTrigger", "True")]
		public void Dispatch()
		{
			this.AsIObject().Invoke("Dispatch", new object[] {});
		}

		[UmlElement(Id="{fe67dd7c-16e7-4ed7-88bf-95d5dc49aab5}")]
		[UmlTaggedValue("Eco.IsTrigger", "True")]
		public void Reviewed()
		{
			this.AsIObject().Invoke("Reviewed", new object[] {});
		}

		[UmlElement(Id="{ce5adb96-ac29-490f-9de8-ea95fef57aae}")]
		[UmlTaggedValue("Eco.IsTrigger", "True")]
		public void Submit()
		{
			this.AsIObject().Invoke("Submit", new object[] {});
		}
		#endregion

		#region MM_ECO Model owned attributes
		//Note: Do not remove any property within this region, nor change its signature

		#region MM_ECO_Generated
		#region Attributes
		[UmlElement(Index=(Invoice.Eco_LoopbackIndices.Reference_MemberIndex), Id="564f2a75-2869-4980-91f1-07f7765f92ea")]
		[UmlTaggedValue("Eco.Length", "255")]
		#endregion

		#endregion
		public string Reference
		{
			get
			{
				#region MM_ECO_Generated
				return (string) (this.eco_Content.get_MemberByIndex(Eco_LoopbackIndices.Reference_MemberIndex));
				#endregion
			}
			set
			{
				#region MM_ECO_Generated
				this.eco_Content.set_MemberByIndex(Eco_LoopbackIndices.Reference_MemberIndex, ((object)(value)));
				#endregion
			}
		}

		#region MM_ECO_Generated
		[UmlElement("AssociationEnd", Index=(Invoice.Eco_LoopbackIndices.InvoiceItems_MemberIndex), Id="{c46c84e3-3980-426f-b4ae-e61184f8b594}")]
		[UmlMetaAttribute("association", typeof(GettingStartedWithEcoPackage.InvoiceInvoiceItems), Index=0)]
		[UmlMetaAttribute("multiplicity", "0..*")]
		[UmlTaggedValue("Eco.Embed", "False")]
		#endregion
		public IEcoList<InvoiceItem> InvoiceItems
		{
			get
			{
				#region MM_ECO_Generated
				return new ObjectListAdapter<InvoiceItem>((IList) (this.eco_Content.get_MemberByIndex(Eco_LoopbackIndices.InvoiceItems_MemberIndex)));
				#endregion
			}
		}

		#region MM_ECO_Generated
		#region Attributes
		[UmlElement(Index=(Invoice.Eco_LoopbackIndices.Total_MemberIndex), Id="{5d52e471-73fa-47c6-bd73-a5723ea839ef}")]
		[UmlTaggedValue("persistence", "transient")]
		[UmlTaggedValue("derived", "True")]
		[UmlTaggedValue("Eco.Length", "255")]
		[UmlTaggedValue("Eco.HasUserCode", "True")]
		#endregion

		#endregion
		public decimal Total
		{
			get
			{
				#region MM_ECO_Generated
				return (decimal) (this.eco_Content.get_MemberByIndex(Eco_LoopbackIndices.Total_MemberIndex));
				#endregion
			}
		}

		#region MM_ECO_Generated
		#region Attributes
		[UmlElement(Index=(Invoice.Eco_LoopbackIndices.Dated_MemberIndex), Id="{9567dbf4-84e4-4c03-b1a3-b5d826a3b11d}")]
		[UmlTaggedValue("Eco.Length", "255")]
		#endregion

		#endregion
		public DateTime Dated
		{
			get
			{
				#region MM_ECO_Generated
				return (DateTime) (this.eco_Content.get_MemberByIndex(Eco_LoopbackIndices.Dated_MemberIndex));
				#endregion
			}
			set
			{
				#region MM_ECO_Generated
				this.eco_Content.set_MemberByIndex(Eco_LoopbackIndices.Dated_MemberIndex, ((object)(value)));
				#endregion
			}
		}

		#region MM_ECO_Generated
		#region Attributes
		[UmlElement(Index=(Invoice.Eco_LoopbackIndices.InvoiceState_MemberIndex), Id="{05675a2d-c8d1-473e-a984-9349de6334ba}")]
		[UmlTaggedValue("Eco.AllowNULL", "True")]
		[UmlTaggedValue("Eco.Length", "255")]
		[UmlTaggedValue("Eco.IsStateAttribute", "True")]
		#endregion

		#endregion
		public string InvoiceState
		{
			get
			{
				#region MM_ECO_Generated
				return (string) (this.eco_Content.get_MemberByIndex(Eco_LoopbackIndices.InvoiceState_MemberIndex));
				#endregion
			}
		}
		#endregion

		#region MM_ECO Model owned methods
		//Note: Do not remove any method within this region, nor change its signature

		public Invoice(IContent content)
		{
			#region MM_ECO_Generated
			this.eco_Content = content;
			content.AssertLoopbackUnassigned();
			#endregion
		}

		public Invoice(IEcoServiceProvider serviceProvider)
		{
			this.Initialize(serviceProvider);
			try
			{
				// Place user code ONLY here
			}
			catch (System.Exception)
			{
				this.Deinitialize(serviceProvider);
				throw;
			}
		}

		#region MM_ECO_Generated
		#region Attributes
		[UmlElement(Id="{16f04a6d-e09a-4402-907e-a9144591eb57}")]
		#endregion

		#endregion
		public decimal TotalDerive()
		{
            // If we have Invoice Items, then add together their total's to form
            // a Total value for the Invoice.
            if (InvoiceItems.Count > 0)
            {
                decimal nTotal = decimal.Zero;

                foreach (InvoiceItem item in InvoiceItems)
                {
                    nTotal += item.ItemTotal;
                }

                return nTotal;
            }
            else
                return decimal.Zero;
		}

		#region MM_ECO_Generated
		#region Attributes
		[UmlElement(Id="{e054045d-f3d8-4897-820a-92874b0b1349}")]
		#endregion

		#endregion
		protected void SendEmail()
		{
		}
		#endregion
	}
}
