using System;
using System.Drawing;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Eco.Handles;
using Eco.Windows.Forms;
using Eco.WinForm;
using Eco.ObjectRepresentation;
using Eco.Services;

namespace DevGroupGettingStartedWithEco
{
    /// <summary>
    /// Summary description for FilteringData.
    /// </summary>
    public partial class FilteringData : System.Windows.Forms.Form
    {

        public FilteringData(DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace ecoSpace)
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();

            // Set EcoSpace (actually stores it in rhRoot.EcoSpace)
            // Note that you need to set the EcoSpace property for 
            // each ReferenceHandle and VariableHandle you add to 
            // the form.
            rhRoot.EcoSpace = ecoSpace;
            vhFilterText.EcoSpace = ecoSpace;
            vhFilterText.Element.AsObject = string.Empty;
        }

        public DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace EcoSpace
        {
            get { return (DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace)rhRoot.EcoSpace; }
        }

        private void tbxReference_KeyUp(object sender, KeyEventArgs e)
        {
            vhFilterText.Element.AsObject = tbxReference.Text;
        }
    }
}
